import * as $dara from '@darabonba/typescript';
import { DiagnoseVpnGatewayResponseBody } from "./DiagnoseVpnGatewayResponseBody";
export declare class DiagnoseVpnGatewayResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DiagnoseVpnGatewayResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
